import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
    integrations: [
        starlight({
            title: 'Documentation PLS5618',
            favicon: 'favicon.png',
            sidebar: [
                {
                    label: 'Java',
                    autogenerate: { directory: 'java' },
                },
                {
                    label: 'Robot',
                    items: [
                        { label: "Débuter", autogenerate: { directory: "robot/debuter" } },
                        { label: "Nouveau Projet", autogenerate: { directory: "robot/nouveau_projet" } }
                    ],
                },
            ],
            locales: {
                root: {
                    label: "Français",
                    lang: "fr",
                },
            }
        }),
    ],

    // Process images with sharp: https://docs.astro.build/en/guides/assets/#using-sharp
    image: { service: { entrypoint: 'astro/assets/services/sharp' } },
});
