---
title: Fonctions et méthodes
lang: fr
sidebar:
  order: 3
---

Après les variables, qui permettent de stocker de l'information, il faudrait
pouvoir modifier les données contenues dans le programme. C'est à quoi servent
les fonctions. Elles permettent d'utiliser et de modifier de l'information.

## Fonctionnement d'une fonction

Une fonction en Java a plusieurs caractéristiques, qu'on appelle souvent
signature.

- Son nom : Le nom d'une fonction devrait être assez clair et bien décrire
  l'effet ou l'utilité de la fonction.
- Son type de réponse : Une fonction peut retourner une valeur (ou pas), on doit
  donc dire le [type](/java/variables) de cette valeur.
- Ses paramètres : Une fonction peut prendre des paramètres, qui sont des
  valeurs qui pourraient modifier son effet, ou qui peuvent être utilisées par
  la fonction.

## Utiliser une fonction

C'est probablement ce que vous allez faire le plus souvent. Parfois même sans
vous en rendre compte.

```java
int x = add(4, 5);
```

Dans ce bout de code, on utilise la fonction `add`, qui permettrait d'ajouter
deux chiffres. Cette méthode retourne une valeur de type `int` et prend deux
chiffres en paramètre.

:::note

Cette fonction n'existe pas véritablement, vous pouvez juste utiliser un `+`
pour faire une addition.

:::

## Créer une fonction

Pour créer une fonction, vous devez d'abord penser à son nom, le type qu'elle
retourne (si elle retourne quelque chose) et les arguments qu'elle pourrait
demander. Par exemple, pour la fonction `add`, elle retourne un `int` et prend
deux arguments `int`.

```java
// type-de-retour nom(argument)
int add(int a, int b) {
  return a + b;
}
```

On commence par donner le type de retour (un `int` dans ce cas), suivi du nom de
la fonction (`add`) et, entre parenthèses, les arguments de la fonction (`a` et
`b`, qui sont les deux des `int`).

:::note

Certains mot-clés peuvent être ajoutés, mais ils seront vus dans la page des
[classes](/java/classes).

:::

Dans la fonction, vous pouvez faire les opérations que vous voulez. Si vous
voulez terminer la fonction et/ou retourner une quelque chose, vous pouvez
utiliser le mot-clé `return`.

Si vous voulez que votre fonction ne retourne rien, donnez-lui le type de retour
`void`.

```java
void fun() {
  // Faire quelque chose
}
```
